﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;

namespace UltraGridDropDownListItems
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ValueList vl = new ValueList();
            vl.ValueListItems.Add(1, "Item 1");
            vl.ValueListItems.Add(2, "Item 2");
            vl.ValueListItems.Add(3, "Item 3");
            vl.ValueListItems.Add(4, "Item 4");
            vl.ValueListItems.Add(5, "Item 5");

            ultraGrid1.DisplayLayout.Bands[0].Columns["B"].ValueList = vl;

        }

        private void ultraGrid1_AfterCellListCloseUp(object sender, Infragistics.Win.UltraWinGrid.CellEventArgs e)
        {
            ValueListItem item = ((ValueList)e.Cell.Column.ValueList).SelectedItem as ValueListItem;
            MessageBox.Show("Data Value = " + item.DataValue.ToString() + " ; DataText :" + item.DisplayText);
        }
    }
}
